Contents

# Mid Function

Returns the specified portion of a string expression (Mid function), or replaces the portion of a string expression with another string (Mid subroutine).

### Syntax:

    Mid(string As String, Start As Long [, Length As Long]) As String
    Mid([ByRef] string As String, Start As Long, [Length As Long], Text As String)

### Return type:

String (only by Function)

### Parameters:

string: Any string expression that you want to extract (Mid function). Any text variable name that you want to modify (Mid subroutine).

Start: Numeric expression that indicates the character position within the string where the string portion that you want to replace or to return begins. The minimum allowed value is 1. The maximum allowed value is 2,147,483,648.

Length: Numeric expression that returns the number of characters that you want to replace or return. The maximum allowed value is 2,147,483,648.

Mid 함수의 Length 매개 변수를 생략할 경우 시작 위치에서 문자열의 끝까지 문자열 식의 모든 문자가 구해집니다.

If the Length parameter in the Mid subroutine is less than the length of the text that you want to replace, the text is reduced to the specified length.

Text: The string to replace the string expression (Mid subroutine).

### Error codes:

5 잘못된 프로시저 호출입니다.

### Example:

    Sub ExampleMid_Function_and_Statement
      text = "This is the original Text"
    func1:
      MsgBox Mid(text, 13, 8)   ' returns the word "original"
      MsgBox text               ' text is not modified
    stmt1:
      Mid(text, 13, 8, "new")
      MsgBox text               ' returns "This is the new Text"
    func2:
      MsgBox Mid(start:=10, string:="The quick brown fox ..") ' shows " brown fox .."
    stmt2:
      Mid text, 9, 12, "a new Phrase"
      MsgBox text               ' returns "This is a new Phrase"
    End Sub

관련 주제

String functions

Please support us!